BytesMessage
Date: 2015-09-19

javax.jms

## Interface BytesMessage

- All Superinterfaces:
    Message

      public interface BytesMessage
      extends Message

- - ### Field Summary

    - ### Fields inherited from interface javax.jms.Message

      `DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBodyLength()`
    `boolean` | `readBoolean()`
    `byte` | `readByte()`
    `int` | `readBytes(byte[] value)`
    `int` | `readBytes(byte[] value, int length)`
    `char` | `readChar()`
    `double` | `readDouble()`
    `float` | `readFloat()`
    `int` | `readInt()`
    `long` | `readLong()`
    `short` | `readShort()`
    `int` | `readUnsignedByte()`
    `int` | `readUnsignedShort()`
    `java.lang.String` | `readUTF()`
    `void` | `reset()`
    `void` | `writeBoolean(boolean value)`
    `void` | `writeByte(byte value)`
    `void` | `writeBytes(byte[] value)`
    `void` | `writeBytes(byte[] value, int offset, int length)`
    `void` | `writeChar(char value)`
    `void` | `writeDouble(double value)`
    `void` | `writeFloat(float value)`
    `void` | `writeInt(int value)`
    `void` | `writeLong(long value)`
    `void` | `writeObject(java.lang.Object value)`
    `void` | `writeShort(short value)`
    `void` | `writeUTF(java.lang.String value)`

    - ### Methods inherited from interface javax.jms.Message

      `acknowledge, clearBody, clearProperties, getBooleanProperty, getByteProperty, getDoubleProperty, getFloatProperty, getIntProperty, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSDeliveryMode, getJMSDestination, getJMSExpiration, getJMSMessageID, getJMSPriority, getJMSRedelivered, getJMSReplyTo, getJMSTimestamp, getJMSType, getLongProperty, getObjectProperty, getPropertyNames, getShortProperty, getStringProperty, propertyExists, setBooleanProperty, setByteProperty, setDoubleProperty, setFloatProperty, setIntProperty, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSDeliveryMode, setJMSDestination, setJMSExpiration, setJMSMessageID, setJMSPriority, setJMSRedelivered, setJMSReplyTo, setJMSTimestamp, setJMSType, setLongProperty, setObjectProperty, setShortProperty, setStringProperty`

- - ### Method Detail

    - #### getBodyLength

          long getBodyLength()
                             throws JMSException

      Throws:
        `JMSException`

    - #### readBoolean

          boolean readBoolean()
                              throws JMSException

      Throws:
        `JMSException`

    - #### readByte

          byte readByte()
                        throws JMSException

      Throws:
        `JMSException`

    - #### readUnsignedByte

          int readUnsignedByte()
                               throws JMSException

      Throws:
        `JMSException`

    - #### readShort

          short readShort()
                          throws JMSException

      Throws:
        `JMSException`

    - #### readUnsignedShort

          int readUnsignedShort()
                                throws JMSException

      Throws:
        `JMSException`

    - #### readChar

          char readChar()
                        throws JMSException

      Throws:
        `JMSException`

    - #### readInt

          int readInt()
                      throws JMSException

      Throws:
        `JMSException`

    - #### readLong

          long readLong()
                        throws JMSException

      Throws:
        `JMSException`

    - #### readFloat

          float readFloat()
                          throws JMSException

      Throws:
        `JMSException`

    - #### readDouble

          double readDouble()
                            throws JMSException

      Throws:
        `JMSException`

    - #### readUTF

          java.lang.String readUTF()
                                   throws JMSException

      Throws:
        `JMSException`

    - #### readBytes

          int readBytes(byte[] value)
                        throws JMSException

      Throws:
        `JMSException`

    - #### readBytes

          int readBytes(byte[] value,
                      int length)
                        throws JMSException

      Throws:
        `JMSException`

    - #### writeBoolean

          void writeBoolean(boolean value)
                            throws JMSException

      Throws:
        `JMSException`

    - #### writeByte

          void writeByte(byte value)
                         throws JMSException

      Throws:
        `JMSException`

    - #### writeShort

          void writeShort(short value)
                          throws JMSException

      Throws:
        `JMSException`

    - #### writeChar

          void writeChar(char value)
                         throws JMSException

      Throws:
        `JMSException`

    - #### writeInt

          void writeInt(int value)
                        throws JMSException

      Throws:
        `JMSException`

    - #### writeLong

          void writeLong(long value)
                         throws JMSException

      Throws:
        `JMSException`

    - #### writeFloat

          void writeFloat(float value)
                          throws JMSException

      Throws:
        `JMSException`

    - #### writeDouble

          void writeDouble(double value)
                           throws JMSException

      Throws:
        `JMSException`

    - #### writeUTF

          void writeUTF(java.lang.String value)
                        throws JMSException

      Throws:
        `JMSException`

    - #### writeBytes

          void writeBytes(byte[] value)
                          throws JMSException

      Throws:
        `JMSException`

    - #### writeBytes

          void writeBytes(byte[] value,
                        int offset,
                        int length)
                          throws JMSException

      Throws:
        `JMSException`

    - #### writeObject

          void writeObject(java.lang.Object value)
                           throws JMSException

      Throws:
        `JMSException`

    - #### reset

          void reset()
                     throws JMSException

      Throws:
        `JMSException`